@import "../../../styles.scss";
.resource {
    width: 100%;
    height: 100%;
    // padding: 10px;
    overflow-y: auto;
    .title {
        padding: 10px 20px 10px 20px;
        border-bottom: 1px solid $boderColor;

        .icon-back {
            margin-top: 5px;
            font-size: 15px;
            vertical-align: middle;
            margin-right: 5px;
        }
    }
    .btn-create {
        cursor: pointer;
        color: $main;
    }

    .list {
        height: calc(100% - 110px);
        overflow-y: auto;
    }

    .resource-item {
        width: 100%;
        padding-left: 20px;
        border-bottom: 1px solid $boderColor;
        .detail {
            width: 90%;
            .key {
                color: gray;
            }
        }
        .action {
            width: 10%;

            span {
                font-size: 18px;
            }
            .btn-delete {
                color: red;
            }
        }
    }
}

.modal-resource {
    .input-box {
        padding: 0px 10px 0px 10px;
        width: 50%;
    }
    input::placeholder {
        font-size: 12px !important;
    }
    input {
        font-size: 12px !important;
        padding: 0px 5px 0px !important;
        margin-top: 5px !important;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px !important;
        padding-bottom: 4px !important;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight !important;
        padding: 0px !important;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight !important;
    }
    ///select///
    mat-select {
        padding: 0px 5px 0px 5px;
    }

    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 12px;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ::ng-deep .mat-mdc-form-field-subscript-wrapper {
        height: 0px;
    }
    ::ng-deep .mat-select-panel {
        z-index: 9999 !important; /* Adjust the z-index v alue as needed */
    }
    .btn-save {
        border-radius: 4px;
        color: white;
        background-color: $btnColor;
    }

    .btn-save:disabled {
        border-radius: 4px;
        color: white;
        background-color: gray;
    }
}
::ng-deep .modal {
    z-index: 200 !important; /* You can adjust this value as needed */
}
::ng-deep.modal-backdrop {
    z-index: 100 !important; /* Adjust this value as needed */
}
